## flags 1.0.1

=== debian/changelog ===
flags (1.0.1) serena; urgency=medium

  * First release version

 -- Clement Lefebvre <root@linuxmint.com>  Wed, 02 Nov 2016 14:26:33 +0000

flags (1.0.0) sarah; urgency=medium

  * Initial version

 -- Clement Lefebvre <root@storm>  Fri, 21 Oct 2016 10:04:58 +0100

## flags 1.0.2

=== debian/changelog ===
flags (1.0.2) tara; urgency=medium

  * Update README
  * Update flags

 -- Clement Lefebvre <root@linuxmint.com>  Mon, 07 May 2018 15:21:11 +0100

## flags tool

=== Makefile ===
.EXPORT_ALL_VARIABLES:
include $(COMMON_MK)


EXEC = flags_tool

SRCS=$(wildcard ./src/*.c)
OBJS = $(patsubst %.c,%.o,$(SRCS))

CFLAGS += -Wall -g

CFLAGS += -Werror=implicit-int \
		  -Werror=implicit-function-declaration \
		  -Werror=float-equal \
		  -Werror=return-type \
		  -Werror=enum-compare \
		  -Werror=init-self 

CFLAGS +=	-O2

CFLAGS +=	-I./inc	\

CFLAGS +=	-I../include

LDLIBS += -lpthread

LDLIBS += -lflags -L$(zte_lib_path)/libflags


#*******************************************************************************
# targets
#*******************************************************************************
all: $(EXEC)

$(EXEC): $(OBJS)
	$(CC) $(LDFLAGS) -o $@ $^ -Wl,--start-group $(LDLIBS) $(LDLIBS_$@) -Wl,--end-group
	$(CC) $(LD_BEGIN) -static $(LDFLAGS) -o $@_static $^ -Wl,--start-group $(LDLIBS) $(LDLIBS_$@) -Wl,--end-group $(LD_END)
	cp $(EXEC) $(EXEC).elf
	cp $(EXEC)_static $(EXEC)_static.elf

romfs root_fs:
	$(ROMFSINST) /bin/$(EXEC)_static

clean:
	-rm -f $(EXEC) $(EXEC)_static *.elf *.gdb *.o ./src/*.o

## flags 1.0.3

=== debian/changelog ===
flags (1.0.3) xia; urgency=medium

  * Update syrian flag
  * Update nigerian flag

 -- Clement Lefebvre <root@linuxmint.com>  Mon, 14 Apr 2025 11:14:05 +0100

=== debian/control ===
Source: flags
Section: universe/misc
Priority: optional
Maintainer: Linux Mint <root@linuxmint.com>
Build-Depends: debhelper (>= 9)
Standards-Version: 3.9.5

Package: iso-flag-png
Architecture: all
Description: ISO country flags in PNG format
 A 4x3 flag collection in PNG format.

## flags 1.0.4

=== debian/changelog ===
flags (1.0.4) zara; urgency=medium

  [ Michael Webster ]
  * Update iq, se and ua flags.

 -- Clement Lefebvre <root@linuxmint.com>  Mon, 21 Jul 2025 14:36:08 +0200

## flags utils

=== Makefile ===
# SPDX-License-Identifier: GPL-2.0-only

obj-$(CONFIG_FLAGS_UTILS) += flags_utils.o
